Bug 209174 - Issues with Activation Keys and Kickstarts
Issues with Activation Keys and Kickstarts
Status: CLOSED WORKSFORME
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500-satellite-beta
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Brandon Perkins
:
Depends On: 210004
Blocks: 189917
  Show dependency treegraph
 
Reported: 2006-10-03 14:57 EDT by John Wregglesworth
Modified: 2007-04-18 13:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 14:44:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-10-03 14:57:14 EDT
Description of problem: If you kickstart a machine with a kickstart profile that
has an activation key associated with it, the config files associated with the
key do not get deployed and the child channel set up in the key do not get
subscribed to.


Version-Release number of selected component (if applicable): RHN 500 beta


How reproducible: Always


Steps to Reproduce:
1. If necessary, create a configuration channel.
2. Create a file in the configuration.
3. Have the file get deployed upon registration
4. Create an activation key.
5. Have the activation key subscribe the client using it to multiple channels.
6. Associate the configuration channel with the activation key.
7. Associate the activation key with a kickstart profile.
8. Kickstart a machine with the kickstart profile. The packages will get
installed, but the config file doesn't get deployed and the channels set up in
the activation key aren't subscribed to.
Comment 1 Pete Vetere 2006-10-09 11:33:03 EDT
This seems to affect guests only.
Comment 2 Pete Vetere 2006-10-09 13:21:46 EDT
Can't repro this bug until 210004 is fixed.

Note You need to log in before you can comment on or make changes to this bug.